<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/view_search_bg"
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_marginStart="14dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/bg_white_18dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_search_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:src="@drawable/icon_search"
        app:layout_constraintBottom_toBottomOf="@+id/view_search_bg"
        app:layout_constraintLeft_toLeftOf="@+id/view_search_bg"
        app:layout_constraintTop_toTopOf="@+id/view_search_bg" />

    <EditText
        android:id="@+id/et_target_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="5dp"
        android:background="@null"
        android:ellipsize="end"
        android:hint="请输入学员名称"
        android:maxLines="1"
        android:paddingStart="8dp"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_13"
        app:layout_constraintBottom_toBottomOf="@+id/view_search_bg"
        app:layout_constraintLeft_toRightOf="@+id/iv_search_icon"
        app:layout_constraintRight_toLeftOf="@+id/tv_search"
        app:layout_constraintTop_toTopOf="@+id/view_search_bg" />

    <TextView
        android:id="@+id/tv_search"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginEnd="4dp"
        android:background="@drawable/shape_1ecdac_18dp"
        android:gravity="center"
        android:text="搜索"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14"
        app:layout_constraintBottom_toBottomOf="@+id/view_search_bg"
        app:layout_constraintRight_toRightOf="@+id/view_search_bg"
        app:layout_constraintTop_toTopOf="@+id/view_search_bg" />
    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view_search_bg">
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/dp_10"
        android:scrollbars="none"
        android:overScrollMode="never"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/liv_letters"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view_search_bg"
        app:layout_constraintVertical_bias="0.0"/>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <com.mcxtzhang.indexlib.IndexBar.widget.IndexBar
        android:id="@+id/liv_letters"
        android:layout_width="@dimen/dp_20"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_65"
        android:layout_marginBottom="@dimen/dp_20"
        android:paddingRight="@dimen/dp_10"
        app:indexBarPressBackground="@color/white"
        app:indexBarTextSize="@dimen/dp_12"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/recyclerView"
        app:layout_constraintTop_toBottomOf="@+id/view_search_bg"
        app:layout_constraintVertical_bias="0.0"/>

    <View
        android:id="@+id/spacer"
        android:layout_width="@dimen/dp_58"
        android:layout_height="@dimen/dp_58"
        android:layout_marginEnd="@dimen/dp_5"
        android:gravity="center"
        android:paddingStart="8dp"
        android:paddingBottom="@dimen/dp_3"
        android:text="A"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_45"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@id/liv_letters"
        app:layout_constraintEnd_toEndOf="@+id/recyclerView"/>

    <TextView
        android:id="@+id/tv_hint"
        android:layout_width="@dimen/dp_58"
        android:layout_height="@dimen/dp_58"
        android:layout_marginTop="@dimen/dp_54"
        android:background="@drawable/ic_teacher_screen"
        android:gravity="center"
        android:paddingStart="8dp"
        android:paddingBottom="@dimen/dp_3"
        android:text="A"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_45"
        android:textStyle="bold"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="@+id/spacer"
        app:layout_constraintTop_toTopOf="@id/spacer"/>

</androidx.constraintlayout.widget.ConstraintLayout>